Skip to content

VPC Details

GET
/api/v1/vpc/node/{node_id}/
curl --request GET \
--url 'https://api.e2enetworks.com/myaccount/api/v1/vpc/node/{node_id}/?project_id=<PROJECT_ID>&apikey=<API_KEY>&location=<LOCATION>' \
--header 'Authorization: Bearer <API_TOKEN>'
node_id
required
string

Path parameter node_id.

project_id
required
integer

Identifier of the project to scope the request to. Required integer project ID.

Example

<PROJECT_ID>
apikey
required
string

API key used to authenticate the request

Example

<API_KEY>
location
required
string

Location identifier to filter VPC details

Example

<LOCATION>

Successful response

Media typeapplication/json
object
is_private_cluster_user

Indicates whether the user is a private cluster user

boolean
dns

Space-separated list of DNS server IP addresses

string
ipv4_cidr

IPv4 CIDR block of the VPC

string
name

Identifier of the VPC

string
network_id

Unique identifier of the VPC network

integer
project_id

Identifier of the project associated with the VPC

string
subnet_id

Identifier of the subnet

integer
subnet_name

Name of the subnet

string

Example

{
"is_private_cluster_user": false,
"dns": "8.8.8.8 8.8.4.4",
"ipv4_cidr": "10.2.3.4/23",
"name": "VPC-493",
"network_id": 12345,
"project_id": "12345",
"subnet_id": 123,
"subnet_name": "api-automation-subnet-2008"
}